Subject: bug#9300: 24.0.50; `bounds-of-thing-at-point' does not return nil when just after THING

From: Dmitry Gutov <[email-masked]>
Date: Fri, 26 Feb 2016 17:25:29 +0200

On 02/26/2016 04:39 PM, Drew Adams wrote:

>> I never mentioned anything Eclipse-related in this bug.
>
> Sorry - "eclim".

My bad, it is indeed Eclipse-related.

As for the rest, my first comment here still seems to be an appropriate 
response.

Maybe someone else would like to comment as well?

> I have much better-behaving list-at-point code.  It's in the
> same file, if you are really interested.  It always returns nil
> if the cursor is not on a list (there is no list at point),
> including when point is at eob.

I'd be interested in a patch. Especially if it's orthogonal (as it 
should be) to whatever we decide in this bug.